Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           cdpr
Version:        2.4
Release:        alt1_17
Summary:        Cisco Discovery Protocol Analyzer

License:        GPLv2+ 
URL:            http://sourceforge.net/projects/cdpr/
Source0:        http://www.monkeymental.com/mmfiles/%{name}-%{version}.tgz
  

BuildRequires:  gcc
BuildRequires:  libpcap-devel
Source44: import.info

%description
cdpr is used to decode a Cisco Disovery Protocol (CDP) packet, by default it 
will report the device ID, the IP Address (of the device), and the port
number that the machine is connected to. 
Optionally it will decode the entire CDP packet.


%prep
%setup -q

sed -i 's/\r//g' COPYING README

%build
make  CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m755 %{name} $RPM_BUILD_ROOT%{_bindir}/



%files
%doc COPYING  license.txt  README  README.cdprs
%{_bindir}/%{name}


%changelog
* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_17
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_16
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_15
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_14
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_10
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_9
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_8
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_7
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_6
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_5
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_4
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_3
- fc import

